function [matrix] = matrixread(filename, r, c)
#Function: matrixread(filename, r, c)
# Returns the matrix exactly as displayed within the file 'filename'
# r - number of rows - pass -1 if unknown
# c - number of columns

[mfile, msg] = fopen(filename, "r");
[m, count] = fscanf( mfile, "%f", [1, Inf]);
if (r == -1) #calculate the number of rows
   r = length(m)/c;
endif
matrix = reshape(m,c,r)'; #'
fclose(mfile);

endfunction
